import { faker } from "@faker-js/faker";

const MAX = 10;

function createMessageTemplate() {
  return {
    id: faker.string.uuid(),
    createBy: "DEV",
    templateFormat: faker.helpers.arrayElement([1, 2]),
    templateName: faker.lorem.words({ min: 2, max: 4 }),
    templateDesc: faker.lorem.words({ min: 2, max: 5 }),
    templateContent: faker.lorem.paragraphs({ min: 1, max: 10 }),
    createDate: Math.floor(faker.date.anytime().getTime() / 1000),
    lastModifyDate: Math.floor(faker.date.anytime().getTime() / 1000),
  };
}

export default {
  status: 200,
  data: {
    totalMessageTemplateRecord: MAX,
    cronjobLogList: faker.helpers.multiple(createMessageTemplate, {
      count: MAX,
    }),
  },
};
